#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# posh.py
#
# Configuration de base de données mysql de posh
#
###########################################################################
"""
    Config pour posh
"""
from eolesql.db_test import db_exists, test_var

POSH_TABLEFILENAMES = ["/usr/share/eole/mysql/posh/gen/scribe-posh.sql"]

def test():
    """
        test l'activation de Posh
        test l'existence de la table Posh
    """
    return test_var('activer_envole') and not db_exists('posh')

conf_dict = dict(filenames=POSH_TABLEFILENAMES,
                 test=test)
