#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# poshprofile.py
#
# Configuration de base de données mysql de poshprofile
#
###########################################################################
"""
    Config pour poshprofile
"""
from eolesql.db_test import db_exists, test_var

POSHPROFILE_TABLEFILENAMES = ["/usr/share/eole/mysql/posh/gen/scribe-poshprofile.sql"]

def test():
    """
        test l'existence de la table PoshProfile
    """
    return test_var('activer_envole') and not db_exists('poshprofile')

conf_dict = dict(filenames=POSHPROFILE_TABLEFILENAMES,
                 test=test)
